Click To Pay
Provide all required data to the Merchant/PSP to build a click to pay transaction authorization request.
Technical identifier pre-defined at on-boarding that identifies the API
consumer.
Format shall be the string 'APIKEY' followed by a space and the
api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.
Identifier of the merchant provided by Thales at on-boarding.
The unique transaction identifier.
Created
The payment credentials data encrypted in a JWE structure (see security section in the documentation).
Once decrypted, the JWE plaintext contains the following JSON object:
| JSON field parameter name | description | MOC | Length |
|---|---|---|---|
| dpan | The token PAN value provided for network token. | C | Up to 19 |
| exp | The token expiry date in the format MMYY provided for network token. | C | 4 |
| cryptogram | The payment cryptogram to use with the token for a payment. Presence of the cryptogram depends on the transaction type and the scheme. | C | Up to 256 |
| fpan | The funding card PAN value. Only provided for PCI token. | C | Up to 19 |
| fpanExp | The funding card expiry date in the format MMYY. Only provided for PCI token. | C | 4 |
Example: {"dpan:"9580981500100002", "exp":"1222", "cryptogram": "45f8grzty7f4f5gs5s2c"}
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Not Retryable
Service Unavailable - Retryable
POST /tsh-cof/srci/transactions HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 188
{
"merchantId": "85f6a8d7-a946-46a2-8c9d-075701e678f9",
"transactionId": "0a4e0d3.4f339be7.cbfa197b588400089c08aa60cc11934eb8009c1c",
"transactionData": {
"amount": "100.00",
"currencyCode": "USD"
}
}{
"encryptedData": "eyJhbGciOiJSU0EtT...GoWAB7Ucw"
}Notify the Click to Pay system about the outcome of a transaction authorization.
Technical identifier pre-defined at on-boarding that identifies the API
consumer.
Format shall be the string 'APIKEY' followed by a space and the
api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.
Identifier of the merchant provided by Thales at on-boarding.
The unique transaction identifier.
Accepted
コンテンツなし
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Not Retryable
Service Unavailable - Retryable
POST /tsh-cof/srci/transactions/confirmations HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 434
{
"merchantId": "85f6a8d7-a946-46a2-8c9d-075701e678f9",
"transactionId": "0a4e0d3.4f339be7.cbfa197b588400089c08aa60cc11934eb8009c1c",
"confirmationData": {
"eventType": "AUTHORISE",
"eventStatus": "SUCCESS",
"status": "CREATED",
"reason": "Order Successfully Created",
"timestamp": "2021-11-10T09:08:24.479Z",
"networkAuthorizationCode": "2020404",
"networkTransactionIdentifier": "mastercard"
},
"transactionData": {
"amount": "100.00",
"currencyCode": "USD"
}
}コンテンツなし
Update the merchant setup for click to pay.
The unique merchant identifier.
Technical identifier pre-defined at on-boarding that identifies the API
consumer.
Format shall be the string 'APIKEY' followed by a space and the
api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.
Legal name of the merchant.
^[A-Za-z0-9-_. ]+$Merchant website URL.
http://www.mymerchant.comPattern: ^[A-Za-z0-9-_.:/]+$Merchant country in ISO-3166-1 alpha-2 two-letter country code.
USAccepted
コンテンツなし
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Not Retryable
Service Unavailable - Retryable
PUT /tsh-cof/merchants/{merchantId}/srci HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"supportedCardBrands": "MASTERCARD",
"merchantLegalName": "SRCI Merchant",
"websiteUrl": "http://srci-merchant.com",
"merchantCountry": "US"
}コンテンツなし
最終更新
役に立ちましたか?